#ifndef LmbfGui_H
#define LmbfGui_H

#include <QWidget>
#include <qwt_compat.h>
#include <qwt_scale_draw.h>
#include <QTWatcher>
#include <tango.h>

class fftScaleDraw : public QwtScaleDraw
{
    QVector<QString> fftLabels;
public:
    fftScaleDraw();
    ~fftScaleDraw();
    void set_num_turns(double);
    virtual QwtText label(double v) const;
private:
    double num_turns;
};

namespace Ui {
class LmbfGui;
}




class LmbfGui : public QWidget
{
    Q_OBJECT

public:
    explicit LmbfGui(QWidget *parent = 0);
    ~LmbfGui();
public slots:
    void update_num_turns(double);
    void update_sevr(QString);
    
protected:
    QPalette normalpalette;
    QPalette alarmpalette;

private:
    Ui::LmbfGui *ui;
    fftScaleDraw *fftScale;
    QTWatcher *turns_reader;
    QTWatcher *sevr_reader;
    double num_turns;
};

#endif // LmbfGui_H
